petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetSNES

Sets the SNES for the linesearch for function evaluation.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetSNES(SNESLineSearch linesearch, SNES snes)

### Input Parameters

| linesearch | - linesearch context Many br
| snes | - The snes instance Many br

Many br

### Notes

This happens automatically when the line search is obtained/created with Many brSNESGetLineSearch(). This routine is therefore mainly called within SNES Many brimplementations. Many br

Many br

### See Also

SNESLineSearchGetSNES(), SNESLineSearchSetVecs(), SNES

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages